Subject: Re: [PATCH net-next-2.6] Driver for the Microchip MCP251x SPI CAN controllers

From: Wolfgang Grandegger <[email-masked]>
Date: Mon, 02 Nov 2009 20:28:55 +0100

christian pellegrin wrote:
> On Sun, Nov 1, 2009 at 10:31 AM, Wolfgang Grandegger <[email-masked]> wrote:
>> Hi Christian,
>>
> 
> Hi,
> 
>> there are a few. In general, please check the usage of {} for if
> 
> sorry for missing this: I read your link below: I missed that rule on
> first reading! And I tend to trust checkpatch.pl too much ;-)
> 
>> statements and check if "if (ret)" should be used instead of "if (ret <
>> 0)" if 0 means success and !0 failure. I don't have a MCP251x hardware
> 
> ok, I misunderstood this to. Now I think it's ok.
> 
> I'm replying to this thread with v2 patch. I'm rebasing the
> differences against SVN trunk too, but I'm waiting to send them until
> this patch is accepted in net-next-2.6 since their are only of
> cosmetic nature.

That's fine. of course.

[snip]
>>> +#include <linux/can/core.h>
>> I don't think you need "can/core.h"?
>>
> 
> I tried without but there are some dependencies in "can/dev.h" to some
> netdev stuff that are broken if I omit it.

Hm, sounds like a bug. I will check a.s.a.p.

Wolfgang.